searchNodes=[{"ref":"SpiritFingers.html","title":"SpiritFingers","type":"module","doc":"See: SpiritFingers.SimHash."},{"ref":"SpiritFingers.SimHash.html","title":"SpiritFingers.SimHash","type":"module","doc":"SimHash Module which delegates to Rust NIFs which will perform the hashing, similarity and distance calculations."},{"ref":"SpiritFingers.SimHash.html#hamming_distance/2","title":"SpiritFingers.SimHash.hamming_distance/2","type":"function","doc":"Bitwise hamming distance of two SimHash.t hashes Examples iex&gt; SpiritFingers.SimHash.hamming_distance(0, 0) {:ok, 0.0} iex&gt; SpiritFingers.SimHash.hamming_distance(0b1111111, 0b0000000) {:ok, 7.0} iex&gt; SpiritFingers.SimHash.hamming_distance(0b0100101, 0b1100110) {:ok, 3.0}"},{"ref":"SpiritFingers.SimHash.html#hash_similarity/2","title":"SpiritFingers.SimHash.hash_similarity/2","type":"function","doc":"Calculate similarity as SimHash.similarity of two hashes. 0.0 means no similarity, 1.0 means identical. Examples iex&gt; SpiritFingers.SimHash.hash_similarity(0, 0) {:ok, 1.0} iex&gt; SpiritFingers.SimHash.hash_similarity(0xFFFFFFFFFFFFFFFF, 0) {:ok, 0.0} iex&gt; SpiritFingers.SimHash.hash_similarity(0xFFFFFFFF, 0) {:ok, 0.5}"},{"ref":"SpiritFingers.SimHash.html#simhash/1","title":"SpiritFingers.SimHash.simhash/1","type":"function","doc":"Calculate SimHash.t split by whitespace. Examples iex&gt; SpiritFingers.SimHash.simhash(&quot;The cat sat on the mat&quot;) {:ok, 2595200813813010837} iex&gt; SpiritFingers.SimHash.simhash(&quot;The cat sat under the mat&quot;) {:ok, 2595269945604666783} iex&gt; SpiritFingers.SimHash.simhash(&quot;Why the lucky stiff&quot;) {:ok, 1155526875459215761}"},{"ref":"SpiritFingers.SimHash.html#similarity/2","title":"SpiritFingers.SimHash.similarity/2","type":"function","doc":"Calculate similarity SimHash.similarity of two string slices split by whitespace by simhash. Examples iex&gt; SpiritFingers.SimHash.similarity(&quot;Stop hammertime&quot;, &quot;Stop hammertime&quot;) {:ok, 1.0} iex&gt; SpiritFingers.SimHash.similarity(&quot;Hocus pocus&quot;, &quot;Hocus pocus pilatus pas&quot;) {:ok, 0.9375} iex&gt; SpiritFingers.SimHash.similarity(&quot;Peanut butter&quot;, &quot;Strawberry cocktail&quot;) {:ok, 0.59375}"},{"ref":"SpiritFingers.SimHash.html#t:distance/0","title":"SpiritFingers.SimHash.distance/0","type":"type","doc":"64 bit floating point represenation of the Hamming Distance between 2 SimHash.t."},{"ref":"SpiritFingers.SimHash.html#t:similarity/0","title":"SpiritFingers.SimHash.similarity/0","type":"type","doc":"Similarity between two SimHash.t, represented as a value between 0.0 and 1.0. 0.0 means no similarity, 1.0 means identical."},{"ref":"SpiritFingers.SimHash.html#t:t/0","title":"SpiritFingers.SimHash.t/0","type":"type","doc":"unsigned 64 bit integer represenation of simhash"},{"ref":"readme.html","title":"SpiritFingers","type":"extras","doc":"SpiritFingers &quot;Fast SimHash NIFs written in Rust 🐇💨 as Erlang/Elixir versions were too slow 🐢&quot; Hex Package. Documentation."},{"ref":"readme.html#build","title":"SpiritFingers - Build","type":"extras","doc":"mix compile"},{"ref":"readme.html#test","title":"SpiritFingers - Test","type":"extras","doc":"mix test"},{"ref":"readme.html#versions","title":"SpiritFingers - Versions","type":"extras","doc":"Elixir ~&gt; 1.9 OTP 22 Rust 2018 ~&gt; 1.39 (4560ea788 2019-11-04) Rustler 1.21.0"},{"ref":"readme.html#installation","title":"SpiritFingers - Installation","type":"extras","doc":"Add spirit_fingers to your list of dependencies in mix.exs: def deps do [ {:spirit_fingers, &quot;~&gt; 0.3.0&quot;} ] end"},{"ref":"readme.html#usage","title":"SpiritFingers - Usage","type":"extras","doc":"Generate SimHash: SimHash.simhash(&quot;wow&quot;) {:ok, 17399923637769257768} Similarity between strings: SimHash.similarity(&quot;Hocus pocus&quot;, &quot;Hocus pocus pilatus pas&quot;) {:ok, 0.9375} Hamming Distance between hashes: SimHash.hamming_distance(17399923637769257768, 17399923637769257768) {:ok, 0.0} Similarity between hashes: SimHash.hash_similarity(17399923637769257768, 17399923637769257768) {:ok, 0.0}"}]